#pragma once

#include "CoreMinimal.h"
#include "KillerDynamicAccessoryAnimInstance.h"
#include "K41HairAccessoryAnimInstance.generated.h"

class UK41AnimInstance;

UCLASS(Blueprintable, NonTransient)
class THEK41_API UK41HairAccessoryAnimInstance : public UKillerDynamicAccessoryAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isInHeadMode;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPerformingTransitionFromHeadToFullBody;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isPerformingTransitionFullBodyToHead;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _shouldUseWorldDynamicNodes;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TWeakObjectPtr<UK41AnimInstance> _cachedKillerAnimInstance;

public:
	UK41HairAccessoryAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK41HairAccessoryAnimInstance) { return 0; }
